// Copyright (c) 2008-2011 Mighty Heave Software LLC.
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#ifndef __chsets_h
#define __chsets_h

#include "glrexport.h"
#include "intset.h"

const UIntSet LIBGLR_EXPORT &named_charset_alpha();
const UIntSet LIBGLR_EXPORT &named_charset_lower();
const UIntSet LIBGLR_EXPORT &named_charset_upper();
const UIntSet LIBGLR_EXPORT &named_charset_alnum();
const UIntSet LIBGLR_EXPORT &named_charset_space();
const UIntSet LIBGLR_EXPORT &named_charset_pspace();
const UIntSet LIBGLR_EXPORT &named_charset_blank();
const UIntSet LIBGLR_EXPORT &named_charset_digit();
const UIntSet LIBGLR_EXPORT &named_charset_xdigit();

#endif
