OBJS=glrgen_main.obj amgchk.obj chsets.obj chtest.obj emitC.obj glrgen.obj grammar.obj intset.obj lookup3.obj nfa.obj reducesrc.obj rx.obj skfile.obj src.obj str.obj templatehelp.obj tokensetmerge.obj c_all_internal.obj
CFLAGS=/nologo -c /EHsc /MD -DLIBGLR_EXPORT= -DC_IO_EXTERN -D_CRTDBG_MAP_ALLOC -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS
all: glrgen.exe-manifest-was-added

glrgen.exe-manifest-was-added: glrgen.exe
	mt -nologo -manifest $**.manifest -outputresource:$**;1 > $@

glrgen.exe: $(OBJS)
	$(CC) /MD $(OBJS) /Fe$@

.cpp.obj:
	$(CC) $(CFLAGS) $< /Fo$@

.c.obj:
	$(CC) $(CFLAGS) $< /Fo$@

clean:
	erase $(OBJS) glrgen.exe glrgen.exe-manifest-was-added

