OBJS=amgchk.obj chsets.obj chtest.obj emitC.obj glrgen.obj grammar.obj intset.obj lookup3.obj nfa.obj \
		 reducesrc.obj rx.obj skfile.obj src.obj str.obj templatehelp.obj tokensetmerge.obj c_all_internal.obj \
		 sysport.obj
CFLAGS=/nologo -c /Zi /EHsc /MD -D_USRDLL -DLIBGLR_EXPORTS -DC_IO_EXTERN -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS

all: libglr.dll-manifest-was-added

libglr.dll-manifest-was-added: libglr.dll
	mt -nologo -manifest $**.manifest -outputresource:$**;2 > $@

libglr.dll: $(OBJS)
	$(CC) /MD /LD $(OBJS) /Fdlibglr.pdb /DEBUG /Fe$@

.cpp.obj:
	$(CC) $(CFLAGS) $< /Fo$@

.c.obj:
	$(CC) $(CFLAGS) $< /Fo$@

clean:
	erase $(OBJS) libglr.exp libglr.lib libglr.dll libglr.pdb libglr.dll-manifest-was-added
	

